%define pyver %(%{__python} -c "from distutils.sysconfig import get_python_version; print get_python_version()")
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Summary:	Password manager for GNOME 2
Name: 		revelation
Version: 	0.3.4
Epoch: 		0
Release: 	1
License: 	GPL
Group: 		Applications/Productivity
Source: 	ftp://oss.codepoet.no/revelation/revelation-0.3.4.tar.bz2
URL: 		http://oss.codepoet.no/revelation/
Requires:	python-crypto >= 0:2.0
Requires:	gtk2 >= 0:2.2
Requires:	pygtk2 >= 0:2.2
Requires:	gnome-python2 >= 0:2.0
Requires:	gnome-python2-gconf >= 0:2.0
Requires:       python-abi = %{pyver}
BuildRequires:  python >= 0:2.2
BuildRequires:  python-devel >= 0:2.2
BuildRequires:	gnome-python2-gconf >= 0:2.0
BuildRequires:  desktop-file-utils
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot-%(%{__id_u} -n)
Requires(post):	GConf2
Requires(preun):GConf2
BuildArch:      noarch

%description
Revelation is a password manager. It organizes accounts in
a tree structure, and stores them as AES-encrypted XML files.

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
%{__rm} -rf %{buildroot}
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

desktop-file-install \
  --vendor fedora \
  --mode 644 \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category X-Fedora \
  --delete-original \
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/%{name}.schemas &>/dev/null || :
unset GCONF_CONFIG_SOURCES
 
%preun
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/%{name}.schemas &>/dev/null || :
unset GCONF_CONFIG_SOURCES


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README TODO
%config %{_sysconfdir}/gconf/schemas/*.schemas
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*.png
%{_datadir}/revelation/
%{python_sitelib}/revelation/*.py
%{python_sitelib}/revelation/*.pyc
%ghost %{python_sitelib}/revelation/*.pyo                                                                                             
%{python_sitelib}/revelation/datahandler/*.py
%{python_sitelib}/revelation/datahandler/*.pyc
%ghost %{python_sitelib}/revelation/datahandler/*.pyo                                                                                             
%dir %{python_sitelib}/revelation/
%dir %{python_sitelib}/revelation/datahandler/

%changelog
* Wed Sep 29 2004 Thorsten Leemhuis <fedora at leemhuis dot info> 0:0.3.4-0.fdr.1
- Update to 0.3.4

* Tue Aug 31 2004 Thorsten Leemhuis <fedora at leemhuis dot info> 0:0.3.3-0.fdr.1
- Update to 0.3.3

* Thu Aug 11 2004 Thorsten Leemhuis <fedora at leemhuis dot info> 0:0.3.2-0.fdr.2
- Own python_sitelib/revelation/

* Wed Aug 11 2004 Thorsten Leemhuis <fedora at leemhuis dot info> 0:0.3.2-0.fdr.1
- Update to 0.3.2
- convert package to noarch
- convert parts to match python spec-file template

* Sat Jul 17 2004 Thorsten Leemhuis <fedora at leemhuis dot info> 0:0.3.0-0.fdr.1
- New Spec File based on Matthew Hall and Dags SPEC Files -- Thanks to them
- Fix Gconf handling
